Subject: bug#30803: closed (Re: bug#30803: [PATCH 0/2] Add Elasticsearch package and service.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Jul 2023 16:56:01 +0000

Your bug report

#30803: [PATCH 0/2] Add Elasticsearch package and service.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30803: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30803
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30803: [PATCH 0/2] Add Elasticsearch package and service.
From: Maxim Cournoyer <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked], Christopher Baines <[email-masked]>
Date: Fri, 21 Jul 2023 12:55:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

zimoun <[email-masked]> writes:

> Hi,
>
> On Tue, 13 Mar 2018 at 19:12, Christopher Baines <[email-masked]> wrote:
>
>> Also included is a service, along with a really simple test.
>
> What about these patches?
>
> Thanks,
> simon
>
> PS: From 10 Years event.

I'm closing this stale patch issue (there was an issue about Java
binaries being required IIUC).

-- 
Thanks,
Maxim

Subject: [PATCH 0/2] Add Elasticsearch package and service.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 13 Mar 2018 19:12:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: moreinfo

I'm trying to reduce the number of patches I have sitting around in git
branches, so here is a bug about Elasticsearch.

I've had a really awful package definition for this for a while, which
just makes the built things in the release tarball run. While this isn't
suitable for inclusion in to Guix, it does still work.

Also included is a service, along with a really simple test.

Christopher Baines (2):
  gnu: Add elasticsearch.
  services: Add elasticsearch.

 gnu/packages/databases.scm |  64 +++++++++++++++++++++++++++
 gnu/services/databases.scm | 107 +++++++++++++++++++++++++++++++++++++++++++++
 gnu/tests/databases.scm    |  57 +++++++++++++++++++++++-
 3 files changed, 227 insertions(+), 1 deletion(-)